commit:     e4549f46fb0d5abac1b87ee0ba3c98d8ddd55ed0
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 18 16:40:01 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Jul 19 17:00:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4549f46

dev-python/pymoc: initial import

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/pymoc/Manifest           |  1 +
 dev-python/pymoc/metadata.xml       | 32 ++++++++++++++++++++++++++++++++
 dev-python/pymoc/pymoc-0.5.0.ebuild | 28 ++++++++++++++++++++++++++++
 3 files changed, 61 insertions(+)

diff --git a/dev-python/pymoc/Manifest b/dev-python/pymoc/Manifest
new file mode 100644
index 00000000000..aa3ac835426
--- /dev/null
+++ b/dev-python/pymoc/Manifest
@@ -0,0 +1 @@
+DIST pymoc-0.5.0.tar.gz 33843 SHA256 
08fd88df8c4013803c8c26b2183816e087c500e1d3b6172fed4d98a48269a8ba SHA512 
cb327bed6fffa6eb4354c06f9b7e056baa9df1010d722b4fade6873fb862c4b27ea0a11647a510ce4007f7b8158e13eee7e146258d4c58ecee82adddf33bf89c
 WHIRLPOOL 
17d56de5ddc63279d597f3a436a8f3a030cc696fb1495ce3cc9ee93c10a7a60aef1dcf77888514308c64945ec76ef7b38f11715606b512c80f3106b16897e0c1

diff --git a/dev-python/pymoc/metadata.xml b/dev-python/pymoc/metadata.xml
new file mode 100644
index 00000000000..0539850fc0b
--- /dev/null
+++ b/dev-python/pymoc/metadata.xml
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Astronomy Project</name>
+  </maintainer>
+  <longdescription lang="en">
+    Frequently astronomical survey catalogues or images are sparse and
+    cover only a small part of the sky.  In a Multi-Order Coverage map
+    the extent of data in a particular dataset is cached as a
+    pre-calculated mask image.  The hierarchical nature enables fast
+    boolean operations in image space, without needing to perform complex
+    geometrical calculations.  Services such as VizieR generally offer the
+    MOC masks, allowing a faster experience in graphical applications
+    such as Aladin, or for researchers quickly needing to locate which
+    datasets may contain overlapping coverage.
+
+    The MOC mask image itself is tessellated and stored in NASA HealPix
+    format, encoded inside a FITS image container.  Using the HealPix
+    (Hierarchical Equal Area isoLatitude Pixelization) tessellation
+    method ensures that more precision (pixels) in the mask are available
+    when describing complex shapes such as approximating survey or
+    polygon edges, while only needing to store a single big cell/pixel
+    when an coverage is either completely inside, or outside of the mask.
+    Catalogues can be rendered on the mask as circles.
+  </longdescription>
+  <upstream>
+    <remote-id type="pypi">pymoc</remote-id>
+    <remote-id type="github">grahambell/pymoc</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pymoc/pymoc-0.5.0.ebuild 
b/dev-python/pymoc/pymoc-0.5.0.ebuild
new file mode 100644
index 00000000000..98bed1677f2
--- /dev/null
+++ b/dev-python/pymoc/pymoc-0.5.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Python Multi-Order Coverage maps for Virtual Observatory"
+HOMEPAGE="https://pymoc.readthedocs.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       dev-python/healpy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+       PYTHONPATH=lib "${PYTHON}" -m unittest discover -s test || die
+}

Reply via email to